----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 12/07/2017 08:29:36 PM
-- Design Name: 
-- Module Name: Binary_to_integar - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

--Uncomment the following library declaration if using
--arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity multiplier is
    Port ( E : in STD_LOGIC_VECTOR (7 downto 0);
           F : in STD_LOGIC_VECTOR (7 downto 0);
           G : in STD_LOGIC_VECTOR (7 downto 0);
           H : in STD_LOGIC_VECTOR (7 downto 0);
           X : in STD_LOGIC_VECTOR (7 downto 0);
           Y : in STD_LOGIC_VECTOR (7 downto 0);
           U : out STD_LOGIC_VECTOR (7 downto 0);
           V : out STD_LOGIC_VECTOR (7 downto 0));
end multiplier;






architecture Behavioral of multiplier is

signal E1 : integer := 0;
signal F1 : integer := 0;
signal G1 : integer := 0;
signal H1 : integer := 0;
signal X1 : integer := 0;
signal Y1 : integer := 0;
signal U1 : integer := 0;
signal V1 : integer := 0;
begin


--H <= A;
--E <= D;
E1 <= to_integer(unsigned(E));
F1 <= to_integer(unsigned(F));
G1 <= to_integer(unsigned(G));
H1 <= to_integer(unsigned(H));
X1 <= to_integer(unsigned(X));
Y1 <= to_integer(unsigned(Y));

U1 <= (E1 * X1) + (F1 * Y1);
V1 <= (G1 * X1) + (H1 * Y1);


U <= std_logic_vector(to_unsigned(U1, 8));
V <= std_logic_vector(to_unsigned(V1, 8));




end Behavioral;
