----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 12/07/2017 09:29:02 PM
-- Design Name: 
-- Module Name: Sim1 - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Sim1 is
--  Port ( );
end Sim1;

architecture Behavioral of Sim1 is

    component solver_complete port (
           A : in STD_LOGIC_VECTOR (3 downto 0);
           B : in STD_LOGIC_VECTOR (3 downto 0);
           C : in STD_LOGIC_VECTOR (3 downto 0);
           D : in STD_LOGIC_VECTOR (3 downto 0);
           X : in STD_LOGIC_VECTOR (7 downto 0);
           Y : in STD_LOGIC_VECTOR (7 downto 0);
           U : out STD_LOGIC_VECTOR (7 downto 0);
           V : out STD_LOGIC_VECTOR (7 downto 0));
    end component;

signal A, B, C, D : Std_Logic_vector (3 downto 0);
signal X, Y : Std_Logic_vector (7 downto 0);
signal U, V : Std_Logic_vector (7 downto 0);

begin

    UUT: solver_complete port map ( A => A, 
                    B => B,
                    C => C,
                    D => D,
                    X => X,
                    Y => Y,
                    U => U,
                    V => V); 

process begin
    
    A <= "0001";
    B <= "0010";
    C <= "0001";
    D <= "0011";
    X <= "00000110";
    Y <= "00000111";
    wait for 100ns;
    A <= "0001";
    B <= "0010";
    C <= "0010";
    D <= "0101";
    X <= "00000111";
    Y <= "00001111";
    wait for 100ns;
    A <= "0001";
    B <= "0001";
    C <= "0001";
    D <= "0001";
    X <= "00000001";
    Y <= "00000001";
    wait for 100ns;
    A <= "0001";
    B <= "0010";
    C <= "0010";
    D <= "0101";
    X <= "00000111";
    Y <= "00010000";
    wait for 100ns;
    
    WAIT;
end process;

end Behavioral;
