----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 11/30/2017 02:39:44 PM
-- Design Name: 
-- Module Name: reduced row eschelon solver - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity reduced_row_eschelon_solver is
    Port ( input_matrix : inout  STD_LOGIC_VECTOR (23 downto 0);
           output_matrix : inout STD_LOGIC_VECTOR (23 downto 0));
end reduced_row_eschelon_solver;

architecture Behavioral of reduced_row_eschelon_solver is

begin
proc1: process(input_matrix, output_matrix)
begin
If (input_matrix(0 to 3)) = "0001" then output_matrix(0 to 3) <= "0001";
else output_matrix(0 to 3) <= (input_matrix(0 to 3) / input_matrix(0 to 3)),
output_matrix(4 to 7) <= (input_matrix(4 to 7) / input_matrix(0 to 3)),
output_matrix(8 to 11) <= (input_matrix(8 to 11) / input_matrix(0 to 3));
end if;

If (input_matrix(12 to 15)) = "0000" then output_matrix(12 to 15) <= "0000";
else output_matrix(12 to 15) <= input_matrix(12 to 15) - (input_matrix(0 to 3)*((input_matrix(12 to 15)/input_matrix(0 to 3)))),
output_matrix(16 to 19) <= input_matrix(16 to 19) - (input_matrix(0 to 3)*((input_matrix(12 to 15)/input_matrix(0 to 3)))),
output_matrix(20 to 23) <= input_matrix(20 to 23) - (input_matrix(0 to 3)*((input_matrix(12 to 15)/input_matrix(0 to 3))));
end if;

If (input_matrix(4 to 7)) = "0000" then output_matrix(4 to 7) <= "0000";
else output_matrix(4 to 7) <= input_matrix(4 to 7) - (input_matrix(16 to 19)*((input_matrix(4 to 7)/input_matrix(16 to 19)))),
output_matrix(8 to 11) <= input_matrix(8 to 11) - (input_matrix(16 to 19)*((input_matrix(4 to 7)/input_matrix(16 to 19))));
end if;

If (input_matrix(16 to 19)) = "0001" then output_matrix(16 to 19) <= "0001";
else output_matrix(16 to 19) <= input_matrix(16 to 19) - (input_matrix(4 to 7)*(((input_matrix(16 to 19) - 1)/input_matrix(4 to 7)))),
output_matrix(20 to 23) <= input_matrix(20 to 23) - (input_matrix(4 to 7)*(((input_matrix(16 to 19) - 1)/input_matrix(4 to 7)))),
end if;

end process proc1;



 


end Behavioral;
